﻿#language: ru

@IIoT

Функционал: 05_IIoT.01.008 Заполнение справочника сервера ОПС

Сценарий: 05_IIoT.01.008 Заполнение справочника сервера ОПС
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Серверы ОПС'
	Тогда открылось окно "Серверы ОПС"
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Сервер ОПС (создание)'
	И из выпадающего списка "Тип сервера" я выбираю точное значение 'UA'
	И в поле 'Наименование' я ввожу текст 'Сервер Константа'
	И в поле 'Адрес сервера' я ввожу текст 'opc.tcp://server-test:4840'
	И Я нажимаю на кнопку 'Записать'
	И я нажимаю на кнопку "Тест"
	Затем я жду, что в сообщениях пользователю будет подстрока "Сервер доступен" в течение 10 секунд
	И я закрываю окно 'Сервер Константа (Сервер ОПС)'
	Тогда открылось окно "Серверы ОПС"
	И я закрываю окно "Серверы ОПС"